## rxp 1.1

=== Makefile ===
VERSION=	1.1

CHAR_SIZE=16

DEBUG=		-g
CC=		gcc
GCCFLAGS=	-Wall -ansi -pedantic
CFLAGS=		$(GCCFLAGS) $(DEBUG) -O -DCHAR_SIZE=$(CHAR_SIZE)
LDFLAGS=	$(DEBUG)

# You may well have to change this line.  Just "LIBS=" will probably work.
LIBS:sh=	[ -f /usr/lib/libsocket.a ] && echo "-lnsl -lsocket -ldl" || echo ""

COMMON=		xmlparser.o url.o charset.o string16.o ctype16.o dtd.o \
		input.o stdio16.o system.o hash.o version.o namespaces.o
SOURCES=	rxp.c xmlparser.c url.c charset.c string16.c ctype16.c dtd.c \
		input.c stdio16.c system.c hash.c version.c namespaces.c
INCLUDES=	xmlparser.h url.h charset.h string16.h ctype16.h dtd.h \
		input.h stdio16.h system.h hash.h version.h rxputil.h \
		namespaces.h

DOCS=		RELNOTES COPYRIGHT COPYING rxp.1 Manual Threads

DISTDIR=	/home/ftp/pub/richard

all:	rxp

rxp:	rxp.o librxp.a
	$(CC) $(LDFLAGS) -o rxp rxp.o -L. -lrxp $(LIBS)

rxp-web:	rxp-web.o librxp.a
	$(CC) $(LDFLAGS) -o rxp-web rxp-web.o -L. -lrxp $(LIBS)

librxp.a:	$(COMMON)
	ar rv librxp.a $(COMMON)
	ranlib librxp.a

rxp.o: rxp.c xmlparser.h input.h dtd.h charset.h stdio16.h string16.h
rxp-web.o: rxp-web.c xmlparser.h input.h dtd.h charset.h stdio16.h string16.h

xmlparser.o:	xmlparser.c xmlparser.h input.h dtd.h charset.h stdio16.h string16.h

input.o:	input.c input.h dtd.h charset.h url.h stdio16.h

dtd.o:		dtd.c dtd.h charset.h

charset.o:	charset.c charset.h

stdio16.o:	stdio16.c stdio16.h charset.h

string16.o:	string16.c string16.h charset.h

system.o:	system.c system.h stdio16.h charset.h

url.o:		url.c url.h stdio16.h

hash.o:		hash.c hash.h charset.h string16.h

ctype16.o:	ctype16.c ctype16.h charset.h system.h

namespaces.o:	namespaces.c namespaces.h charset.h rxputil.h charset.h string16.h

version.o:	version.c version.h

backup:
	rm -f ../XML2.tar
	tar cfh ../XML2.tar *.[ch] Makefile

dist:
	rm -rf rxp-$(VERSION).tar.gz rxp-$(VERSION)
	mkdir rxp-$(VERSION)
	cp -p $(SOURCES) $(INCLUDES) Makefile $(DOCS) rxp-$(VERSION)
	tar cvf rxp-$(VERSION).tar rxp-$(VERSION)
	rm -rf rxp-$(VERSION)
	gzip -v rxp-$(VERSION).tar

dist-install: dist
	mv rxp-$(VERSION).tar.gz $(DISTDIR)
	sed s/_VERSION_/$(VERSION)/ <rxp-release.xml | sed s/_DATE_/`date +%Y%m%d`/ >$(DISTDIR)/rxp-release.xml
	cd $(DISTDIR); rm rxp.tar.gz; ln -s rxp-$(VERSION).tar.gz rxp.tar.gz

## rxp 1.2.3

=== Makefile ===
--- 
+++ 
@@ -1,4 +1,4 @@
-VERSION=	1.1
+VERSION=	1.2.3
 
 CHAR_SIZE=16

## rxp 1.5.0

=== debian/changelog ===
rxp (1.5.0-3.1build1) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- William Grant <wgrant@ubuntu.com>  Mon, 01 Apr 2024 16:21:07 +1100

rxp (1.5.0-3.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Rename libraries for 64-bit time_t transition.  Closes: #1062875

 -- Benjamin Drung <bdrung@debian.org>  Thu, 29 Feb 2024 15:37:17 +0000

rxp (1.5.0-3) unstable; urgency=medium

  * debian/compat: Require 10.
  * debian/control (Build-Depends): Require debhelper >= 10, removing
    autodev-tools.
    (Standards-Version): Conform to 4.4.0.
    [librxp-dev] (Multi-Arch): New for multi-arch.
    (Vcs-Git, Vcs-Browser): New.
  * debian/rules: Simplify by newer debhelper.
  * debian/patches/02_automake.diff: New.

 -- NIIBE Yutaka <gniibe@fsij.org>  Mon, 19 Aug 2019 13:10:09 +0900

rxp (1.5.0-2) unstable; urgency=low

  * debian/compat: Require 9.
  * debian/control (Build-Depends): Require debhelper >= 9.  Remove quilt.
    (Standards-Version): Conform to 3.9.4.
    [librxp0] (Multi-Arch, Pre-Depends): New for multi-arch.
    [rxp] (Description): Remove article.
  * debian/{librxp0.install,librxp-dev.install}: Update.  Remove *.la.
  * debian/rules: Simplify using --with autotools-dev.
  * debian/patches/01_lp64_fixes.diff: New.

 -- NIIBE Yutaka <gniibe@fsij.org>  Wed, 10 Jul 2013 23:33:53 +0000

rxp (1.5.0-1) unstable; urgency=low

  * New upsteam release.
  * debian/control (Maintainer): New maintainer (Closes: #494599).
    (Homepage): Added.
    (Build-Depends): Added quilt and autotools-dev.
  * debian/copyright: Write from scratch.
  * debian/rules: Write from scratch based on sample debian/rules of
    dh-make.

 -- NIIBE Yutaka <gniibe@fsij.org>  Wed, 12 May 2010 11:46:15 +0900
  

rxp (1.2.3-2) unstable; urgency=low

  * make rxp dep on current librxp - Closes: #101111

 -- Mike Mattice <mattice@debian.org>  Fri, 30 Aug 2002 23:53:08 -0500

rxp (1.2.3-1) unstable; urgency=low

  * New upstream release.

 -- Mike Mattice <mattice@debian.org>  Sun, 26 Nov 2000 19:14:50 -0600

rxp (1.1-7) unstable; urgency=low

  * New maintainer. closes: Bug#69643

 -- Mike Mattice <mattice@debian.org>  Tue, 22 Aug 2000 19:46:51 -0500

rxp (1.1-6) unstable; urgency=low

  * Corrected sections to match overrides file. 

 -- Joey Hess <joeyh@debian.org>  Mon,  1 May 2000 20:19:02 -0700

rxp (1.1-5) unstable; urgency=low

  * Build deps.

 -- Joey Hess <joeyh@debian.org>  Sat,  4 Dec 1999 15:54:13 -0800

rxp (1.1-4) unstable; urgency=low

  * Removed install-stamp targetr, which can cause problems.

 -- Joey Hess <joeyh@debian.org>  Thu, 30 Sep 1999 13:28:03 -0700

rxp (1.1-3) unstable; urgency=low

  * FHS

 -- Joey Hess <joeyh@debian.org>  Sun, 12 Sep 1999 13:47:47 -0700

rxp (1.1-2) unstable; urgency=low

  * Patch from "Sean 'Shaleh' Perry" <shaleh@varesearch.com> to make rxp
    build as a shared library. Split package into the typical lib and -dev
    packages. I hope festival can use this..

 -- Joey Hess <joeyh@debian.org>  Thu, 29 Jul 1999 13:52:12 -0700

rxp (1.1-1) unstable; urgency=low

  * New upstream release.

 -- Joey Hess <joeyh@debian.org>  Thu, 29 Jul 1999 10:47:21 -0700

rxp (1.0-1) unstable; urgency=low

  * First release.
  * Minor modifications to make it compile.
  * No shared library is built, though it could be useful to build one for
    festival later. It's not supported out of the box.

 -- Joey Hess <joeyh@debian.org>  Fri, 14 May 1999 13:55:35 -0700

=== debian/control ===
Source: rxp
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: NIIBE Yutaka <gniibe@fsij.org>
Build-Depends: dpkg-dev (>= 1.22.5), debhelper (>= 10)
Standards-Version: 4.4.0
Section: text
Homepage: http://www.cogsci.ed.ac.uk/~richard/rxp.html
Vcs-Git: https://salsa.debian.org/debian/rxp.git
Vcs-Browser: https://salsa.debian.org/debian/rxp

Package: rxp
Section: text
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Validating XML parser
 Rxp reads, parses, and can optionally validate XML.

Package: librxp0t64
Provides: ${t64:Provides}
Replaces: librxp0
Breaks: librxp0 (<< ${source:Version})
Section: libs
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Pre-Depends: ${misc:Pre-Depends}
Multi-Arch: same
Description: Shared library for XML parsing and validating
 XML is a metalanguage to let you design your own markup language. This
 library can be used to parse and validate XML documents.

Package: librxp-dev
Section: libdevel
Multi-Arch: same
Architecture: any
Depends: ${misc:Depends}, librxp0t64 (= ${binary:Version})
Description: Development files for librxp
 XML is a metalanguage to let you design your own markup language. librxp is
 a library that can be used to parse and validate XML documents.
 .
 This package contains the static library and header files used in
 development.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile-gmake -*-

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

%:
	dh $@

override_dh_autoreconf_clean:
	dh_autoreconf_clean
	rm -rf m4

override_dh_autoreconf:
	mkdir -p m4
	dh_autoreconf
